- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes
gaddress_ipv4.cpp File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gaddress.h"`
`#include "gstrings.h"`
`#include "gstr.h"`
`#include "gassert.h"`
`#include "gdebug.h"`
`#include <climits>`
`#include <algorithm>`
`#include <utility>`
`#include <sys/types.h>`

Go to the source code of this file.

## Classes
class | GNet::AddressImp
| A pimple-pattern implementation class for GNet::Address. More...
union | GNet::AddressImp::Sockaddr
| Used by GNet::AddressImp to cast between sockaddr and sockaddr_in. More...
class | GNet::AddressStorageImp
| A pimple-pattern implementation class for GNet::AddressStorage. More...